# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::Cosmosdb::Mgmt::V2015_04_08
  module Models
    #
    # An Azure Cosmos DB MongoDB collection.
    #
    class MongoDBCollection < Resource

      include MsRestAzure

      # @return [String] Name of the Cosmos DB MongoDB collection
      attr_accessor :mongo_dbcollection_id

      # @return [Hash{String => String}] A key-value pair of shard keys to be
      # applied for the request.
      attr_accessor :shard_key

      # @return [Array<MongoIndex>] List of index keys
      attr_accessor :indexes


      #
      # Mapper for MongoDBCollection class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'MongoDBCollection',
          type: {
            name: 'Composite',
            class_name: 'MongoDBCollection',
            model_properties: {
              id: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'id',
                type: {
                  name: 'String'
                }
              },
              name: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'name',
                type: {
                  name: 'String'
                }
              },
              type: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'type',
                type: {
                  name: 'String'
                }
              },
              location: {
                client_side_validation: true,
                required: false,
                serialized_name: 'location',
                type: {
                  name: 'String'
                }
              },
              tags: {
                client_side_validation: true,
                required: false,
                serialized_name: 'tags',
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'StringElementType',
                      type: {
                        name: 'String'
                      }
                  }
                }
              },
              mongo_dbcollection_id: {
                client_side_validation: true,
                required: true,
                serialized_name: 'properties.id',
                type: {
                  name: 'String'
                }
              },
              shard_key: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.shardKey',
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'StringElementType',
                      type: {
                        name: 'String'
                      }
                  }
                }
              },
              indexes: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.indexes',
                type: {
                  name: 'Sequence',
                  element: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'MongoIndexElementType',
                      type: {
                        name: 'Composite',
                        class_name: 'MongoIndex'
                      }
                  }
                }
              }
            }
          }
        }
      end
    end
  end
end
