# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::Cosmosdb::Mgmt::V2020_06_01_preview
  module Models
    #
    # A Azure Cosmos DB restorable database account.
    #
    class RestorableDatabaseAccountGetResult < ARMResourceProperties

      include MsRestAzure

      # @return [String] The name of the global database account
      attr_accessor :account_name

      # @return [DateTime] The creation time of the restorable database account
      # (ISO-8601 format).
      attr_accessor :creation_time

      # @return [DateTime] The time at which the restorable database account
      # has been deleted (ISO-8601 format).
      attr_accessor :deletion_time

      # @return [ApiType] The API type of the restorable database account.
      # Possible values include: 'MongoDB', 'Gremlin', 'Cassandra', 'Table',
      # 'Sql', 'GremlinV2'
      attr_accessor :api_type

      # @return [Array<RestorableLocationResource>] List of regions where the
      # of the database account can be restored from.
      attr_accessor :restorable_locations


      #
      # Mapper for RestorableDatabaseAccountGetResult class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'RestorableDatabaseAccountGetResult',
          type: {
            name: 'Composite',
            class_name: 'RestorableDatabaseAccountGetResult',
            model_properties: {
              id: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'id',
                type: {
                  name: 'String'
                }
              },
              name: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'name',
                type: {
                  name: 'String'
                }
              },
              type: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'type',
                type: {
                  name: 'String'
                }
              },
              location: {
                client_side_validation: true,
                required: false,
                serialized_name: 'location',
                type: {
                  name: 'String'
                }
              },
              tags: {
                client_side_validation: true,
                required: false,
                serialized_name: 'tags',
                type: {
                  name: 'Dictionary',
                  value: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'StringElementType',
                      type: {
                        name: 'String'
                      }
                  }
                }
              },
              identity: {
                client_side_validation: true,
                required: false,
                serialized_name: 'identity',
                type: {
                  name: 'Composite',
                  class_name: 'ManagedServiceIdentity'
                }
              },
              account_name: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.accountName',
                type: {
                  name: 'String'
                }
              },
              creation_time: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.creationTime',
                type: {
                  name: 'DateTime'
                }
              },
              deletion_time: {
                client_side_validation: true,
                required: false,
                serialized_name: 'properties.deletionTime',
                type: {
                  name: 'DateTime'
                }
              },
              api_type: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'properties.apiType',
                type: {
                  name: 'String'
                }
              },
              restorable_locations: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'properties.restorableLocations',
                type: {
                  name: 'Sequence',
                  element: {
                      client_side_validation: true,
                      required: false,
                      serialized_name: 'RestorableLocationResourceElementType',
                      type: {
                        name: 'Composite',
                        class_name: 'RestorableLocationResource'
                      }
                  }
                }
              }
            }
          }
        }
      end
    end
  end
end
