# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::Cosmosdb::Mgmt::V2020_06_01_preview
  module Models
    #
    # Cosmos DB resource throughput object. Either throughput is required or
    # autoscaleSettings is required, but not both.
    #
    class ThroughputSettingsResource

      include MsRestAzure

      # @return [Integer] Value of the Cosmos DB resource throughput. Either
      # throughput is required or autoscaleSettings is required, but not both.
      attr_accessor :throughput

      # @return [AutoscaleSettingsResource] Cosmos DB resource for autoscale
      # settings. Either throughput is required or autoscaleSettings is
      # required, but not both.
      attr_accessor :autoscale_settings

      # @return [String] The minimum throughput of the resource
      attr_accessor :minimum_throughput

      # @return [String] The throughput replace is pending
      attr_accessor :offer_replace_pending


      #
      # Mapper for ThroughputSettingsResource class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          client_side_validation: true,
          required: false,
          serialized_name: 'ThroughputSettingsResource',
          type: {
            name: 'Composite',
            class_name: 'ThroughputSettingsResource',
            model_properties: {
              throughput: {
                client_side_validation: true,
                required: false,
                serialized_name: 'throughput',
                type: {
                  name: 'Number'
                }
              },
              autoscale_settings: {
                client_side_validation: true,
                required: false,
                serialized_name: 'autoscaleSettings',
                type: {
                  name: 'Composite',
                  class_name: 'AutoscaleSettingsResource'
                }
              },
              minimum_throughput: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'minimumThroughput',
                type: {
                  name: 'String'
                }
              },
              offer_replace_pending: {
                client_side_validation: true,
                required: false,
                read_only: true,
                serialized_name: 'offerReplacePending',
                type: {
                  name: 'String'
                }
              }
            }
          }
        }
      end
    end
  end
end
